Skip to main content

Class VisualizeIsochroneRequest.Options

java.lang.Object
com.gpudb.protocol.VisualizeIsochroneRequest.Options

public static final class VisualizeIsochroneRequest.Options extends Object
A set of string constants for the VisualizeIsochroneRequest parameter options.

Additional parameters.

  • Field Details

    • SOLVE_TABLE

      public static final String SOLVE_TABLE
      Name of the table to host intermediate solve results, in [schema_name.]table_name format, using standard name resolution rules and meeting table naming criteria. This table will contain the position and cost for each vertex in the graph. If the default value is used, a temporary table is created and deleted once the solution is calculated. The default value is ”.
    • IS_REPLICATED

      public static final String IS_REPLICATED
      If set to TRUE, replicate the SOLVE_TABLE. Supported values:The default value is TRUE.
    • TRUE

      public static final String TRUE
      Uses the solvers scheduled for ‘shortest_path’ and ‘inverse_shortest_path’ based on SOLVE_DIRECTION.
    • FALSE

      public static final String FALSE
      Uses the solvers ‘priority_queue’ and ‘inverse_priority_queue’ based on SOLVE_DIRECTION.
    • DATA_MIN_X

      public static final String DATA_MIN_X
      Lower bound for the x values. If not provided, it will be computed from the bounds of the input data.
    • DATA_MAX_X

      public static final String DATA_MAX_X
      Upper bound for the x values. If not provided, it will be computed from the bounds of the input data.
    • DATA_MIN_Y

      public static final String DATA_MIN_Y
      Lower bound for the y values. If not provided, it will be computed from the bounds of the input data.
    • DATA_MAX_Y

      public static final String DATA_MAX_Y
      Upper bound for the y values. If not provided, it will be computed from the bounds of the input data.
    • CONCAVITY_LEVEL

      public static final String CONCAVITY_LEVEL
      Factor to qualify the concavity of the isochrone curves. The lower the value, the more convex (with ‘0’ being completely convex and ‘1’ being the most concave). The default value is ‘0.5’. The minimum allowed value is ‘0’. The maximum allowed value is ‘1’.
    • USE_PRIORITY_QUEUE_SOLVERS

      public static final String USE_PRIORITY_QUEUE_SOLVERS
      Sets the solver methods explicitly if true. Supported values:
      • TRUE: Uses the solvers scheduled for ‘shortest_path’ and ‘inverse_shortest_path’ based on SOLVE_DIRECTION.
      • FALSE: Uses the solvers ‘priority_queue’ and ‘inverse_priority_queue’ based on SOLVE_DIRECTION.
      The default value is FALSE.
    • SOLVE_DIRECTION

      public static final String SOLVE_DIRECTION
      Specify whether we are going to the source node, or starting from it. Supported values:
      • FROM_SOURCE: Shortest path to get to the source (inverse Dijkstra).
      • TO_SOURCE: Shortest path to source (Dijkstra).
      The default value is FROM_SOURCE.
    • FROM_SOURCE

      public static final String FROM_SOURCE
      Shortest path to get to the source (inverse Dijkstra).
    • TO_SOURCE

      public static final String TO_SOURCE
      Shortest path to source (Dijkstra).